import os

__all__ = ['get_project_path', 'deep_dict_update']


def get_project_path():
    for anchor in ['.idea', '.git', 'config.yml', 'requirements.txt']:
        path = os.path.realpath(os.curdir)
        while anchor not in os.listdir(path):
            parent = os.path.dirname(path)
            if parent == path:
                path = None
                break
            else:
                path = parent
        if path is not None:
            return path
    return None


def deep_dict_update(d1, d2):
    for key in d1:
        if key not in d2:
            continue
        if isinstance(d1[key], dict) and isinstance(d2[key], dict):
            deep_dict_update(d1[key], d2[key])
        else:
            d1[key] = d2[key]
    for key in d2:
        if key not in d1:
            d1[key] = d2[key]
