import calendar
from datetime import timedelta

__all__ = ['filter_weekend', 'next_workday', 'is_workday']


def filter_weekend(day):
    while calendar.weekday(day.year, day.month, day.day) in [5, 6]:
        day = day - timedelta(1)
    return day


def next_workday(day):
    result = day
    while result == day or result.weekday() in [5, 6]:
        result = result + timedelta(1)
    return result


def is_workday(day):
    return day.weekday() in range(5)
